<?php
require('fpdf/fpdf.php');
include("../bd/sql_variables.php");

$db_conexion= mysql_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
mysql_select_db("$sql_db");

$numlic =$_GET['numlic'];
$codprog = unserialize($_GET['codprogs']); 
$coddm = unserialize($_GET['coddms']); 


$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');

if(isset($_GET['idj'])&& isset($_GET['anno']) && isset($_GET['mes']) && isset($_GET['idtp'])){
$idj=$_GET['idj'];
$idtp=$_GET['idtp'];
$anno=$_GET['anno'];
$mm=$_GET['mes'];
$idtp=$_GET['idtp'];
}


//nombre de la jefatura
$sqljefatura = "select j_desc as nom from tb_jefatura where j_id='$idj'";
$resultjefatura = mysql_query($sqljefatura);
while ($rowj= mysql_fetch_array($resultjefatura)){
$nomjefatura = $rowj['nom']; 
}

//nombre de servicio
$sqlserv = "select s_desc as nom from tb_servicio where j_id='$idj' and s_id='$ids'";
$resultserv = mysql_query($sqlserv);
while ($rows= mysql_fetch_array($resultserv)){
$nomservicio = $rows['nom']; 
}

//descripcion del tipo del personal
if($idtp!=0){
$sqltp = "select tp_desc as descp from tb_tipoperson where tp_id='$idtp'";
$resulttp = mysql_query($sqltp);
while ($rowtp= mysql_fetch_array($resulttp)){
$descpersonal = $rowtp['descp']; 
}
}else{
$descpersonal =""; 
}

//descripcion del tipo de contrato

if($idtp==0){
$desctipocont = " ";
}else{
$desctipocont = "( ".$descpersonal." )";
}


class PDF extends FPDF
{

function ImprimirTablaSinColorTitulo($data,$x, $y, $h, $w,$alig,$dibuja)
	{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
	        $this->Cell($w,$h,$data,$dibuja,0,$alig,$dib);
	}

function ImprimirTablaHorario($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig,$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
}

function ImprimirTablaPersonal($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig[$j],$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

function ImprimirTablaFechas($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->MultiCell($w[$j],$h,$data[$j],1,$alig[$j],$dib);
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

}
$sqlask ="";
for($i=0;$i<count($codprog);$i++){
$sqlask=$sqlask."SELECT  b.ua_numplanilla as numplan, b.ug_id as cod, concat(b.ua_apepat,' ',b.ua_apemat,' ',b.ua_nom) as nombre, ";
$sqlask=$sqlask." (select tp_desc from tb_tipoperson where tp_id=c.tp_id) as tipo_personal, (select s_abrev from tb_servicio where s_id=c.s_id and j_id=c.j_id) as servicio, ";
$sqlask=$sqlask." concat(date_format(a.lc_fechaini,'%d/%m/%Y'),' - ', date_format(a.lc_fechafin,'%d/%m/%Y'),' (', a.lc_numdias,')') as fecha, ";
$sqlask=$sqlask." (select tlc_desc as desclic from tb_tplicencia where tlc_id=a.tlc_id) as observ FROM tb_licencias a inner join tb_usuasist b on a.ug_id= b.ug_id inner join tb_usudep c on b.ug_id=c.ug_id where  ";
$sqlask=$sqlask." a.lc_id='$coddm[$i]' and a.ug_id ='$codprog[$i]'";

if(count($codprog)>$i+1){
$sqlask=$sqlask." UNION ";
}
}
//echo $sqlask;
//echo $sqllistado;
//aumentar  a.tc_idcont='3'
$resultlistado = mysql_query($sqlask);
$sumap=0;
//echo $sqlask;

$ini = 20;
$sumat = 260;
$alturaX = 25;
$ha = 5.9;
//$texto1 = $desctipocont;

$texto2 = "LISTADO DEL PERSONAL CON LICENCIAS EN EL MES DE ".$arraymes[$mm-1]['mes']." ".$anno;
//$texto2 = "LISTADO DEL PERSONAL DEL DEPARTAMENTO DEL CUIDADO DEL PACIENTE CON LICENCIAS";

$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;

if($nomservicio!=''){
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
}
if($descpersonal!=''){
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
}
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','TIPO PERSONAL', 'SERVICIO','PERIODO LICENCIATURA','OBSERVACIONES');
						$wh= array($sumat*0.09,$sumat*0.22,$sumat*0.12,$sumat*0.1,$sumat*0.14,$sumat*0.26);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;
	
$nn=0;	
while ($rowl= mysql_fetch_array($resultlistado)){
$codigo=$rowl['cod'];
$vacaprog=0;
$nn = $nn  + 1;
if($nn>22){
$ini = 20;
$alturaX = 25;
$ha = 5.9;
//$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
//$ini = $ini + $ha*0.8;
//$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','TIPO PERSONAL','SERVICIO','PERIODO LICENCIATURA','OBSERVACIONES');
						$wh= array($sumat*0.09,$sumat*0.22,$sumat*0.12,$sumat*0.1,$sumat*0.14,$sumat*0.26);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;
						$nn=1;
}
$whlist= array($sumat*0.09,$sumat*0.22,$sumat*0.12,$sumat*0.1,$sumat*0.14,$sumat*0.26);
$arraylist = array($rowl['numplan'],$rowl['nombre'], $rowl['tipo_personal'], $rowl['servicio'], $rowl['fecha'], $rowl['observ']);
$alinea = array('C','L','C','C','C','C');

$pdf->ImprimirTablaPersonal($arraylist,30, $ini, $ha, $whlist,$alinea);
//$ini = $ini + $ha;


//observaciones
/*
$movx = $movx + $sumat*0.16;
$whax= array($sumat*0.18);
$arrayobs = array("");
$alineax = array('C');
$pdf->ImprimirTablaPersonal($arrayobs,$movx, $ini, $ha, $whax,$alineax);
*/
$ini = $ini + $ha;

}
$pdf->Output();
?>
